LinHES - Bug # 1037: Installer didi not find SSD

Status: New Priority: Normal

Author: saas2813 Category: Installation/Upgrade

Created: 05/19/2019 Assignee:

Updated: 01/30/2020 Due date:

Description: | tried to install LinHES on an Intel NUC with a NVMe SSD, the choose where to install screen did not show
any drives.

| tried going into the commandline and found the drive with fdisk -I and could partition it manually with fdisk,

but the installer did not find it.
A reboot after partitioning the drive did not help.

Intel NUC BOXNUCS6I7KYK i7-6770HQ
Intel 660P SSD 1TB M.2 PCle 3.0 x4 NVMe 3D NAND QLC

History

05/20/2019 03:55 pm - brfransen
- Category set to Installation/Upgrade

When booted from the ISO can you run Is /dev/nvme* and post the output?
My guess is the installer doesn't scan /dev/nvme for devices.

05/26/2019 02:52 pm - saas2813

Hi,

It was not obvious to get an IP on the system so I'm typing the result:

/dev/nvme0 /dev/nvmeOn1 /dev/nvmeOnip1 /dev/nvmeOn1p2 /dev/nvmeOnip3

The last three nvmeOn1pX is from my install of Ubuntu that did not have a problem detecting the disk.

01/30/2020 08:56 pm - bjfrost
brfransen wrote:
> When booted from the ISO can you run Is /dev/nvme* and post the output?

> My guess is the installer doesn't scan /dev/nvme for devices.

| am also encountering this problem, the SSD device is discovered by the hardware scan
and builds the /dev entries but it does not appear as an install device. | want to

install the operating system on the SSD and use a very large hard drive for

recordings. Currently, it only allows me to install on the large hard drive.

| did my initial testing of linhes on a vmware virtual machine, | like what | see
but it never occurred to me that linhes wouldn't support my SSD when | went to
install on my real hardware.

| also use an Intel NUC as a client which will encounter this problem

and it doesn't have a hard disk to fall back on so | may stay with my

original distribution for both (I would rather switch to LinHES).

Is there anything that | can do to expedite this support?
